Class | Warbler::Config
In: | lib/warbler/config.rb
Parent: | Object

Warbler assembly configuration.

### Methods

gems= new

### Constants

TOP_DIRS | = | %w(app config lib log vendor tmp)
FILE | = | "config/warble.rb"
BUILD_GEMS | = | %w(warbler rake rcov)

### Attributes

autodeploy_dir | [RW] | Directory where the war file will be written. Can be used to direct Warbler to place your war file directly in your application server‘s autodeploy directory. Defaults to the root of the Rails directory.
dirs | [RW] | Top-level directories to be copied into WEB-INF. Defaults to names in TOP_DIRS
exclude_logs | [RW] | Whether to exclude **/*.log files (default is true)
excludes | [RW] | Files to exclude from the WEB-INF directory
gem_dependencies | [RW] | Whether to include dependent gems (default true)
gems | [RW] | Rubygems to install into the webapp at WEB-INF/gems
includes | [RW] | Additional files beyond the top-level directories to include in the WEB-INF directory
java_classes | [RW] | Java classes and other files to copy to WEB-INF/classes
java_libs | [RW] | Java libraries to copy to WEB-INF/lib
pathmaps | [RW] | Container of pathmaps used for specifying source-to-destination transformations under various situations (`public_html` and `java_classes` are two entries in this structure).
public_html | [RW] | Public HTML directory file list, to be copied into the root of the war
staging_dir | [RW] | Directory where files will be staged, defaults to tmp/war
war_name | [RW] | Name of war file (without the .war), defaults to the directory name containing the Rails application

webxml

[RW]

Extra configuration for web.xml. Controls how the dynamically-generated web.xml file is generated.

- `webxml.jndi` — the name of one or more JNDI data sources name to be available to the application. Places appropriate &lt;resource-ref&gt; entries in the file.
- `webxml.ignored` — array of key names that will be not used to generate a context param. Defaults to [‘jndi’, ‘booter’]

Any other key/value pair placed in the open structure will be dumped as a context parameter in the web.xml file. Some of the recognized values are:

- `webxml.rails.env` — the Rails environment to use for the running application, usually either development or production (the default).
- `webxml.jruby.min.runtimes` — minimum number of pooled runtimes to keep around during idle time
- `webxml.jruby.max.runtimes` — maximum number of pooled Rails application runtimes

Note that if you attempt to access webxml configuration keys in a conditional, you might not obtain the result you want. For example:

        <%= webxml.maybe.present.key || 'default' %>

doesn‘t yield the right result. Instead, you need to generate the context parameters:

        <%= webxml.context_params['maybe.present.key'] || 'default' %>

### Public Class methods

new(warbler_home = WARBLER_HOME) {|self if block_given?| ...}

### Public Instance methods

gems=(value)

[Validate]